## pytables 3.7.0

=== Makefile ===
# This Makefile is only intended to prepare for distribution the PyTables
# sources exported from a repository.  For building and installing PyTables,
# please use ``setup.py`` as described in the ``README.rst`` file.

VERSION = $(shell grep "__version__ =" tables/__init__.py | cut -f 3 -d ' ' | sed s/\"//g)
SRCDIRS = src doc
GENERATED = ANNOUNCE.txt
PYTHON = python3
PYPLATFORM = $(shell $(PYTHON) -c "from distutils.util import get_platform; print(get_platform())")
PYVER = $(shell $(PYTHON) -V 2>&1 | cut -c 8-10)
PYBUILDDIR = $(PWD)/build/lib.$(PYPLATFORM)-$(PYVER)
OPT = PYTHONPATH=$(PYBUILDDIR)


.PHONY: all dist build check heavycheck clean distclean html

all: $(GENERATED) build html

dist: all latex
	# $(PYTHON) -m build --sdist # --no-isolation
	$(PYTHON) setup.py sdist
	cp RELEASE_NOTES.rst dist/RELEASE_NOTES-$(VERSION).rst
	cp doc/usersguide-$(VERSION).pdf dist/pytablesmanual-$(VERSION).pdf
	tar cvzf dist/pytablesmanual-$(VERSION)-html.tar.gz doc/html
	cd dist && \
	md5sum -b tables-$(VERSION).tar.gz RELEASE_NOTES-$(VERSION).rst \
	pytablesmanual-$(VERSION).pdf \
	pytablesmanual-$(VERSION)-html.tar.gz > pytables-$(VERSION).md5 && \
	cd -

clean:
	$(RM) -r MANIFEST build dist tmp tables/__pycache__
	$(RM) bench/*.h5 bench/*.prof
	$(RM) -r examples/*.h5 examples/raw
	$(RM) -r *.egg-info
	$(RM) $(GENERATED) tables/*.so a.out
	find . '(' -name '*.py[co]' -o -name '*~' ')' -exec rm '{}' ';'
	for srcdir in $(SRCDIRS) ; do $(MAKE) -C $$srcdir $(OPT) $@ ; done

distclean:	clean
	$(MAKE) -C src $(OPT) $@
	$(RM) tables/_comp_*.c tables/*extension.c
	$(RM) doc/usersguide-*.pdf
	$(RM) -r doc/html
	$(RM) -r .pytest_cache
	# git clean -fdx

html: build
	$(MAKE) -C doc $(OPT) html
	$(RM) -r doc/html
	cp -R doc/build/html doc/html

latex:
	$(MAKE) -C doc $(OPT) latexpdf
	$(RM) doc/usersguide-*.pdf
	cp doc/build/latex/usersguide-$(VERSION).pdf doc

%: %.in tables/__init__.py
	cat "$<" | sed -e 's/@VERSION@/$(VERSION)/g' > "$@"

build:
	$(PYTHON) setup.py build

check: build
	cd build/lib.*-$(PYVER) && env PYTHONPATH=. $(PYTHON) -m pytest --doctest-only --pyargs tables -k "not AttributeSet"
	cd build/lib.*-$(PYVER) && env PYTHONPATH=. $(PYTHON) tables/tests/test_all.py

heavycheck: build
	cd build/lib.*-$(PYVER) && env PYTHONPATH=. $(PYTHON) tables/tests/test_all.py --heavy

=== requirements.txt ===
# Keep in sync with tables/req_versions.py and
# doc/source/usersguide/installation.rst
numpy>=1.19.0
numexpr>=2.6.2
packaging

=== hdf5-blosc/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.10)
project(blosc_hdf5)
include(ExternalProject)

# options
option(BUILD_TESTS
    "Build test programs form the blosc filter" ON)

set(BLOSC_PREFIX "${CMAKE_CURRENT_BINARY_DIR}/blosc")
set(BLOSC_INSTALL_DIR "${CMAKE_CURRENT_BINARY_DIR}/blosc")
set(BLOSC_CMAKE_ARGS -DCMAKE_INSTALL_PREFIX=${BLOSC_INSTALL_DIR})

message("BLOSC_PREFIX='${BLOSC_PREFIX}'")
message("BLOSC_INSTALL_DIR='${BLOSC_INSTALL_DIR}'")
message("BLOSC_CMAKE_ARGS='${BLOSC_CMAKE_ARGS}'")
message("GIT_EXECUTABLE='${GIT_EXECUTABLE}'")

ExternalProject_Add(blosc
  PREFIX ${BLOSC_PREFIX}
  GIT_REPOSITORY https://github.com/Blosc/c-blosc.git
  INSTALL_DIR ${BLOSC_INSTALL_DIR}
  CMAKE_ARGS ${BLOSC_CMAKE_ARGS}
)


# sources
set(SOURCES src/blosc_filter.c)

# dependencies
if(MSVC)
    # FindHDF5.cmake does not find Windows installations. Try to
    # use an environment variable instead until the official "find"
    # file can be updated for Windows.
    #
    # Note that you have to set this environment variable by hand.
    file(TO_CMAKE_PATH "$ENV{HDF5_DIR}" HDF5_HINT)
    set(HDF5_DIR ${HDF5_HINT} CACHE STRING "Path to HDF5 CMake config directory.")
    find_package(HDF5 REQUIRED HINTS ${HDF5_DIR})
else(MSVC)
    find_package(HDF5 REQUIRED)
endif(MSVC)
include_directories(${HDF5_INCLUDE_DIRS})


# add blosc libraries
add_library(blosc_shared SHARED IMPORTED)
set_property(TARGET blosc_shared PROPERTY IMPORTED_LOCATION ${BLOSC_INSTALL_DIR}/lib/${CMAKE_SHARED_LIBRARY_PREFIX}blosc${CMAKE_SHARED_LIBRARY_SUFFIX})
add_dependencies(blosc_shared project_blosc)
include_directories(${BLOSC_INSTALL_DIR}/include)

add_library(blosc_filter_shared SHARED ${SOURCES})
set_target_properties(
  blosc_filter_shared PROPERTIES OUTPUT_NAME blosc_filter)
target_link_libraries(blosc_filter_shared blosc_shared ${HDF5_LIBRARIES})

# install
install(FILES src/blosc_filter.h DESTINATION include COMPONENT HDF5_FILTER_DEV)
install(TARGETS blosc_filter_shared DESTINATION lib COMPONENT HDF5_FILTER_DEV)


# test
message("LINK LIBRARIES='blosc_filter_shared ${HDF5_LIBRARIES}'")
if(BUILD_TESTS)
    enable_testing()
    set(CMAKE_THREAD_PREFER_PTHREAD TRUE)
    find_package(Threads REQUIRED)
    set(LIBS ${LIBS} ${CMAKE_THREAD_LIBS_INIT})
    add_executable(example src/example.c)
    target_link_libraries(example blosc_filter_shared ${HDF5_LIBRARIES} ${LIBS})
    add_test(test_hdf5_filter example)
endif(BUILD_TESTS)

=== debian/changelog ===
pytables (3.7.0-5) unstable; urgency=medium

  * debian/patches:
    - fix compatibility with numpy >= 1.22 (Closes: #1026604).
      See also https://github.com/PyTables/PyTables/issues/934.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 20 Dec 2022 21:15:54 +0000

pytables (3.7.0-4) unstable; urgency=medium

  * debian/copyright:
    - Fix formatting
    - Update copyright date
  * debian/tests:
    - autopkgtests all supported Python versions.
  * Fix lintian overrides.
  * debian/control:
    - add build-dependency on pybuild-plugin-pyproject.
  * Standards version bumped to 4.6.1 (no changes).
  * Update debian/*.install files.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 15 Oct 2022 10:44:26 +0000

pytables (3.7.0-3) unstable; urgency=medium

  * Fix documentation build (Closes: #1009459).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 14 Apr 2022 06:39:28 +0000

pytables (3.7.0-2) unstable; urgency=medium

  * debian/python3-tables.links
    - add missing link to data file.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 30 Dec 2021 11:14:17 +0000

pytables (3.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Cleanup of d/python3-tables.lintian-overrides.
  * Update d/copyright.
  * debian/patches:
    - drop 0002-Never-use-the-msse2-flag-explicitly.patch,
      0006-Fix-pttree.patch, 0007-Fix-syntax-warnings.patch,
      0008-Fix-the-interpreter-name-in-examples.patch,
      0009-Fix-unittests-on-vlarrays.patch,
      0010-Use-lowercase-float-int-as-numpy-dtype.patch,
      0011-doctest-adjust-__init__-TypeError-formatting.patch,
      applied upstream
    - refresh and renumber remaining patches.
  * debian/control:
    - update dependencies (add python3-packaging and remove
      python3-six).
  * debian/rules:
    - disable SSE2 via environment variable
    - clean build rule
    - improve the test rule.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 29 Dec 2021 22:51:43 +0000

pytables (3.6.1-6) unstable; urgency=medium

  [ Stefano Rivera ]
  * Handle Python 3.10 in the Sphinx build, missed in 5.1.

  [ Antonio Valentino ]
  * Update d/python3-tables.lintian-overrides.
  * Update d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 26 Nov 2021 08:12:25 +0000

pytables (3.6.1-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Patch: Fix FTBFS with numpy >= 1.20 (Closes: #999538)
  * Patch: Fix FTBFS with Python 3.10.
  * Install Python 3.10 C Extensions (2-digit minor version).

 -- Stefano Rivera <stefanor@debian.org>  Sat, 20 Nov 2021 23:32:58 -0400

pytables (3.6.1-5) unstable; urgency=medium

  * debian/control:
    - explicitly depende on tex-gyre (fix build on mips*).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 28 Sep 2021 06:05:13 +0000

pytables (3.6.1-4) unstable; urgency=medium

  * Standards version bumped to 4.6.0 (no changes).
  * debian/control:
    - drop unnecessary greater-than versioned dependency form
      python-tables-doc
    - drop unnecessary Breaks/Replaces fileds for version 3.4.2-1
      (oldstable has 3.4.4-2)
  * debian/patches:
    - new 0009-Fix-unittests-on-vlarrays.patch, see
      0009-Fix-unittests-on-vlarrays.patch.
  * Drop python3-tables-dbg (Closes: #994343).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 26 Sep 2021 08:08:53 +0000

pytables (3.6.1-3) unstable; urgency=medium

  * Add lintian-overrides for maintainer-manual-page.
    Manual pages already forwarded upstream.
  * Add lintian-overrides for breakout-link.
  * Update mismatching lintian overrides.
  * Add Forwarded field to all patches.
  * Standards-Version bumped to 4.5.1, no change needed.
  * Update watch file format version to 4.
  * debian/patches:
    - new 0008-Fix-the-interpreter-name-in-examples.patch
  * Add .gitlab-ci.yml.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 08 Dec 2020 09:02:17 +0000

=== debian/control ===
Source: pytables
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>,
           Yaroslav Halchenko <debian@onerussian.com>
Section: python
Priority: optional
Build-Depends: cython3,
               debhelper-compat (= 12),
               dh-python,
               latexmk,
               libblosc-dev,
               libbz2-dev,
               libhdf5-dev,
               libjs-jquery-cookie,
               libjs-mathjax,
               liblz4-dev,
               liblzo2-dev,
               libsnappy-dev,
               libzstd-dev,
               locales,
               pybuild-plugin-pyproject,
               python3-all-dev,
               python3-ipython,
               python3-numexpr,
               python3-numpy,
               python3-numpydoc,
               python3-packaging,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               python3-setuptools,
               texlive-fonts-recommended,
               texlive-latex-recommended,
               texlive-latex-extra,
               texlive-plain-generic,
               tex-gyre,
               zlib1g-dev
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/science-team/pytables
Vcs-Git: https://salsa.debian.org/science-team/pytables.git
Homepage: https://www.pytables.org
Rules-Requires-Root: no

Package: python3-tables
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-numexpr,
         python-tables-data (= ${source:Version}),
         python3-tables-lib (>= ${source:Version}),
         python3-tables-lib (<< ${source:Version}.1~)
Suggests: python3-netcdf4,
          python-tables-doc,
          vitables
Description: hierarchical database for Python3 based on HDF5
 PyTables is a package for managing hierarchical datasets and designed
 to efficiently cope with extremely large amounts of data.
 .
 It is built on top of the HDF5 library and the NumPy package. It
 features an object-oriented interface that, combined with C extensions
 for the performance-critical parts of the code (generated using
 Cython), makes it a fast, yet extremely easy to use tool for
 interactively save and retrieve very large amounts of data. One
 important feature of PyTables is that it optimizes memory and disk
 resources so that they take much less space (between a factor 3 to 5,
 and more if the data is compressible) than other solutions, like for
 example, relational or object oriented databases.
 .
  - Compound types (records) can be used entirely from Python (i.e. it
    is not necessary to use C for taking advantage of them).
  - The tables are both enlargeable and compressible.
  - I/O is buffered, so you can get very fast I/O, specially with
    large tables.
  - Very easy to select data through the use of iterators over the
    rows in tables. Extended slicing is supported as well.
  - It supports the complete set of NumPy objects.
 .
 This is the Python 3 version of the package.

Package: python3-tables-lib
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: python3-tables (= ${source:Version})
Description: hierarchical database for Python3 based on HDF5 (extension)
 PyTables is a package for managing hierarchical datasets and designed
 to efficiently cope with extremely large amounts of data.
 .
 It is built on top of the HDF5 library and the NumPy package. It
 features an object-oriented interface that, combined with C extensions
 for the performance-critical parts of the code (generated using
 Cython), makes it a fast, yet extremely easy to use tool for
 interactively save and retrieve very large amounts of data. One
 important feature of PyTables is that it optimizes memory and disk
 resources so that they take much less space (between a factor 3 to 5,
 and more if the data is compressible) than other solutions, like for
 example, relational or object oriented databases.
 .
  - Compound types (records) can be used entirely from Python (i.e. it
    is not necessary to use C for taking advantage of them).
  - The tables are both enlargeable and compressible.
  - I/O is buffered, so you can get very fast I/O, specially with
    large tables.
  - Very easy to select data through the use of iterators over the
    rows in tables. Extended slicing is supported as well.
  - It supports the complete set of NumPy objects.
 .
 This package contains the extension built for the Python 3 interpreter.

Package: python-tables-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
         libjs-mathjax,
         libjs-jquery-cookie
Suggests: xpdf | pdf-viewer,
          www-browser
Description: hierarchical database for Python based on HDF5 - documentation
 PyTables is a package for managing hierarchical datasets and designed
 to efficiently cope with extremely large amounts of data.
 .
 It is built on top of the HDF5 library and the NumPy package. It
 features an object-oriented interface that, combined with C extensions
 for the performance-critical parts of the code (generated using
 Cython), makes it a fast, yet extremely easy to use tool for
 interactively save and retrieve very large amounts of data. One
 important feature of PyTables is that it optimizes memory and disk
 resources so that they take much less space (between a factor 3 to 5,
 and more if the data is compressible) than other solutions, like for
 example, relational or object oriented databases.
 .
  - Compound types (records) can be used entirely from Python (i.e. it
    is not necessary to use C for taking advantage of them).
  - The tables are both enlargeable and compressible.
  - I/O is buffered, so you can get very fast I/O, specially with
    large tables.
  - Very easy to select data through the use of iterators over the
    rows in tables. Extended slicing is supported as well.
  - It supports the complete set of NumPy objects.
 .
 This package includes the manual in PDF and HTML formats.

Package: python-tables-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: hierarchical database for Python based on HDF5 - test data
 PyTables is a package for managing hierarchical datasets and designed
 to efficiently cope with extremely large amounts of data.
 .
 It is built on top of the HDF5 library and the NumPy package. It
 features an object-oriented interface that, combined with C extensions
 for the performance-critical parts of the code (generated using
 Cython), makes it a fast, yet extremely easy to use tool for
 interactively save and retrieve very large amounts of data. One
 important feature of PyTables is that it optimizes memory and disk
 resources so that they take much less space (between a factor 3 to 5,
 and more if the data is compressible) than other solutions, like for
 example, relational or object oriented databases.
 .
  - Compound types (records) can be used entirely from Python (i.e. it
    is not necessary to use C for taking advantage of them).
  - The tables are both enlargeable and compressible.
  - I/O is buffered, so you can get very fast I/O, specially with
    large tables.
  - Very easy to select data through the use of iterators over the
    rows in tables. Extended slicing is supported as well.
  - It supports the complete set of NumPy objects.
 .
 This package includes daya fils used for unit testing.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all # ,-pie

include /usr/share/dpkg/pkg-info.mk
# SOURCE_DATE_EPOCH ?= $(shell date -d "$$(dpkg-parsechangelog -S Date)" +%s)
BUILD_DATE=$(shell LC_ALL=C date --utc --date="@$(SOURCE_DATE_EPOCH)" "+%B %d, %Y")
SPHINXOPTS := -D today="$(BUILD_DATE)"
SPHINXOPTS += -D html_last_updated_fmt="$(BUILD_DATE)"

ifneq ($(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial/libhdf5.so),)
  export HDF5_DIR := /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial
endif

export DISABLE_AVX2=1 DISABLE_SSE2=1


%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild


override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	$(MAKE) ANNOUNCE.txt
	dh_auto_build --buildsystem=pybuild
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	cd $(CURDIR)/.pybuild/cpython3_$(shell py3versions -vd)/build && \
		env PYTHONPATH=. python3 -m sphinx -M html $(CURDIR)/doc/source $(CURDIR)/doc/build -N $(SPHINXOPTS)
	cd $(CURDIR)/.pybuild/cpython3_$(shell py3versions -vd)/build && \
		env PYTHONPATH=. python3 -m sphinx -M latexpdf $(CURDIR)/doc/source $(CURDIR)/doc/build -N $(SPHINXOPTS)
	mv doc/build/html doc/html
	mv doc/build/latex/usersguide-*.pdf doc/usersguide.pdf
else
	mkdir -p doc/html
	touch doc/usersguide.pdf
endif


override_dh_python3:
	dh_python3
	dh_numpy3


override_dh_strip:
	dh_strip -ppython3-tables-lib


override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="cd {build_dir} && env PYTHONPATH=. python{version} -m unittest -v tables.tests.test_all.suite" \
	dh_auto_test
endif


override_dh_auto_clean:
	# Avoid unnecessary cythonization (see
	# https://github.com/PyTables/PyTables/issues/122)
	#dh_auto_clean --buildsystem=pybuild
	$(MAKE) distclean
	$(RM) -r doc/*.pdf tables.egg-info tmp-locales
	$(RM) -r .pybuild


override_dh_installchangelogs:
	dh_installchangelogs -k RELEASE_NOTES.rst


override_dh_compress:
	dh_compress -X.txt -X.pdf -X.py -X.h5

=== debian/tests/control ===
Tests: python3
Depends: python3-tables, python3-all

## pytables 3.9.2

=== Makefile ===
# This Makefile is only intended to prepare for distribution the PyTables
# sources exported from a repository.  For building and installing PyTables,
# please use ``setup.py`` as described in the ``README.rst`` file.

VERSION = $(shell grep "__version__ =" tables/_version.py | cut -f 3 -d ' ' | sed s/\"//g)
SRCDIRS = doc
GENERATED = ANNOUNCE.txt
PYTHON = python3
PYPLATFORM = $(shell $(PYTHON) -c "from distutils.util import get_platform; print(get_platform())")
PYVER = $(shell $(PYTHON) -c "import sys; print(sys.implementation.cache_tag)")
PYBUILDDIR = $(PWD)/build/lib.$(PYPLATFORM)-$(PYVER)
OPT = PYTHONPATH="$(PYBUILDDIR)"
MD5SUM = md5sum


.PHONY: default dist sdist build check heavycheck clean distclean html latex

default: $(GENERATED) build

dist: sdist html latex
	cp RELEASE_NOTES.rst dist/RELEASE_NOTES-$(VERSION).rst
	cp doc/build/latex/usersguide-$(VERSION).pdf dist/pytablesmanual-$(VERSION).pdf
	tar cvzf dist/pytablesmanual-$(VERSION)-html.tar.gz doc/html
	cd dist && \
	$(MD5SUM) -b tables-$(VERSION).tar.gz RELEASE_NOTES-$(VERSION).rst \
	pytablesmanual-$(VERSION).pdf \
	pytablesmanual-$(VERSION)-html.tar.gz > pytables-$(VERSION).md5 && \
	cd -

sdist: $(GENERATED)
	# $(RM) -r MANIFEST tables/__pycache__ tables/*/__pycache__
	# $(RM) tables/_comp_*.c tables/*extension.c
	# $(RM) tables/*.so
	$(PYTHON) -m build --sdist

clean:
	$(RM) -r MANIFEST build dist tmp tables/__pycache__
	$(RM) bench/*.h5 bench/*.prof
	$(RM) -r examples/*.h5 examples/raw
	$(RM) -r *.egg-info
	$(RM) $(GENERATED) tables/*.so a.out
	find . '(' -name '*.py[co]' -o -name '*~' ')' -exec rm '{}' ';'
	for srcdir in $(SRCDIRS) ; do $(MAKE) $(OPT) -C $$srcdir $@ ; done

distclean: clean
	$(RM) tables/_comp_*.c tables/*extension.c
	$(RM) doc/usersguide-*.pdf
	$(RM) -r doc/html
	$(RM) -r .pytest_cache
	# git clean -fdx

html: build
	$(MAKE) $(OPT) -C doc html
	$(RM) -r doc/html
	cp -R doc/build/html doc/html

latex: build
	$(MAKE) $(OPT) -C doc latexpdf
	$(RM) doc/usersguide-*.pdf
	cp doc/build/latex/usersguide-$(VERSION).pdf doc

%: %.in tables/__init__.py
	cat "$<" | sed -e 's/@VERSION@/$(VERSION)/g' > "$@"

build:
	$(PYTHON) setup.py build

check: build
	cd build/lib.* && env PYTHONPATH=. $(PYTHON) -m pytest --doctest-only --pyargs tables -k "not AttributeSet"
	cd build/lib.* && env PYTHONPATH=. $(PYTHON) tables/tests/test_all.py

heavycheck: build
	cd build/lib.* && env PYTHONPATH=. $(PYTHON) tables/tests/test_all.py --heavy

=== requirements.txt ===
# Runtime dependencies for ``pip install``.
# Keep list in sync with ``project.dependencies`` in ``pyproject.toml``.
numpy>=1.19.0
numexpr>=2.6.2
packaging
py-cpuinfo
blosc2>=2.3.0

=== doc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SPHINXPROJ    = PyTables
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
pytables (3.9.2-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:27:33 +1100

pytables (3.9.2-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:21:41 +1100

pytables (3.9.2-1build1) noble; urgency=medium

  * No-change rebuild against libhdf5-103-1t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 13 Mar 2024 18:04:16 +0000

pytables (3.9.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Drop pathces applied upstream:
      0005-Fix-compatibility-with-numpy-1.22.patch,
      0006-Compatibility-with-sphinx-7.1.patch,
      0007-Compatibility-with-numexpr-v2.8.5.patch,
      0008-Python-3.12-compat.patch,
      and 0009-Numpy-v1.25-compat.patch.
    - Refresh remaining patches.
  * debian/control:
    - Build-depend on c-blosc2-dev.
    - Add dependency on python3-cpuinfo.
    - Versioned dependency on numexpt (>= 2.8.7).
  * Update d/copyright.
  * Update d/python3-tables.links.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 30 Dec 2023 18:26:59 +0000

pytables (3.7.0-10) unstable; urgency=medium

  * debian/patches:
    - New 0008-Python-3.12-compat.patch and 0009-Numpy-v1.25-compat.patch.
      Closes: #1055579.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 12 Nov 2023 09:40:05 +0000

pytables (3.7.0-9) unstable; urgency=medium

  * debian/rules:
    - Clean .pyc files after documentation build (Closes: #1050176).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 21 Aug 2023 19:57:21 +0000

pytables (3.7.0-8) unstable; urgency=medium

  * debian/patches:
    - Update d/patches/0007-Compatibility-with-numexpr-v2.8.5.patch
      to make it comatible again with numexpr < v2.8.5.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 18 Aug 2023 13:16:16 +0000

pytables (3.7.0-7) unstable; urgency=medium

  * debian/patches:
    - New d/patches/0007-Compatibility-with-numexpr-v2.8.5.patch.
  * debian/control:
    - Use the <!nodoc> marker.
    - Update package description.
  * Switch to dh-sequence-*.
  * Switch to autopkgtest-pkg-pybuild and drop the no longer
    needed d/tests folder.
  * New d/clean file.
  * debian/rules:
    - Switch to execute_after_* targets.
    - Improve/simplify doc build.
  * Update d/python3-tables.lintian-overrides.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 17 Aug 2023 17:30:13 +0000

pytables (3.7.0-6) unstable; urgency=medium

  * Dump debhelper compat to 13.
  * Standards version bumped to 4.6.2 (no changes).
  * debian/patches:
    - new 0006-Compatibility-with-sphinx-7.1.patch (Closes: #1042691).
  * Use dh-sequence-numpy3.
  * No longer build PDF documentation.
  * Update dates in d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 05 Aug 2023 14:58:29 +0000

=== debian/control ===
Source: pytables
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>,
           Yaroslav Halchenko <debian@onerussian.com>
Section: python
Priority: optional
Testsuite: autopkgtest-pkg-pybuild
Build-Depends: cython3,
               debhelper-compat (= 13),
               dh-python,
               dh-sequence-numpy3,
               dh-sequence-python3,
               dh-sequence-sphinxdoc,
               libblosc-dev,
               libblosc2-dev,
               libbz2-dev,
               libhdf5-dev,
               libjs-jquery-cookie <!nodoc>,
               libjs-mathjax <!nodoc>,
               liblz4-dev,
               liblzo2-dev,
               libsnappy-dev,
               libzstd-dev,
               pybuild-plugin-pyproject,
               python3-all-dev,
               python3-cpuinfo,
               python3-ipython <!nodoc>,
               python3-numexpr (>= 2.8.7),
               python3-numpy,
               python3-numpydoc <!nodoc>,
               python3-packaging,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               python3-setuptools,
               zlib1g-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/science-team/pytables
Vcs-Git: https://salsa.debian.org/science-team/pytables.git
Homepage: https://www.pytables.org
Rules-Requires-Root: no
Description: Hierarchical database for Python3 based on HDF5
 PyTables is a package for managing hierarchical datasets and designed
 to efficiently cope with extremely large amounts of data.
 .
 It is built on top of the HDF5 library and the NumPy package. It
 features an object-oriented interface that, combined with C extensions
 for the performance-critical parts of the code (generated using
 Cython), makes it a fast, yet extremely easy to use tool for
 interactively save and retrieve very large amounts of data. One
 important feature of PyTables is that it optimizes memory and disk
 resources so that they take much less space (between a factor 3 to 5,
 and more if the data is compressible) than other solutions, like for
 example, relational or object oriented databases.
 .
  - Compound types (records) can be used entirely from Python (i.e. it
    is not necessary to use C for taking advantage of them).
  - The tables are both enlargeable and compressible.
  - I/O is buffered, so you can get very fast I/O, specially with
    large tables.
  - Very easy to select data through the use of iterators over the
    rows in tables. Extended slicing is supported as well.
  - It supports the complete set of NumPy objects.

Package: python3-tables
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-numexpr,
         python-tables-data (= ${source:Version}),
         python3-tables-lib (>= ${source:Version}),
         python3-tables-lib (<< ${source:Version}.1~)
Suggests: python3-netcdf4,
          python-tables-doc,
          vitables
Description: ${source:Synopsis}
 ${source:Extended-Description}

Package: python3-tables-lib
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: python3-tables (= ${source:Version})
Description: ${source:Synopsis} (extension)
 ${source:Extended-Description}
 .
 This package contains the extension built for the Python 3 interpreter.

Package: python-tables-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
         libjs-mathjax,
         libjs-jquery-cookie
Suggests: xpdf | pdf-viewer,
          www-browser
Description: ${source:Synopsis} (documentation)
 ${source:Extended-Description}
 .
 This package includes the manual in HTML formats.

Package: python-tables-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: ${source:Synopsis} (test data)
 ${source:Extended-Description}
 .
 This package includes data files used for unit testing.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all # ,-pie

ifneq ($(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial/libhdf5.so),)
export HDF5_DIR := /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial
endif

export DISABLE_AVX2=1 DISABLE_SSE2=1
export PYBUILD_TEST_CUSTOM=1
export PYBUILD_TEST_ARGS=\
cd {build_dir} && \
env PYTHONPATH={build_dir} \
python{version} -c "import tables as tb, sys; sys.exit(tb.test(verbose=2))"
export PYBUILD_AFTER_TEST=\
$(RM) -r {build_dir}/tables/__pycache__ && \
$(RM) -r {build_dir}/tables/*/__pycache__ && \
$(RM) -r {build_dir}/tables/nodes/*/__pycache__

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build: export http_proxy=127.0.0.1:9
execute_after_dh_auto_build: export https_proxy=127.0.0.1:9
execute_after_dh_auto_build:
	$(RM) $(CURDIR)/.pybuild/cpython3_*/build/tables/*.pyx
	$(RM) $(CURDIR)/.pybuild/cpython3_*/build/tables/*.c
	$(RM) $(CURDIR)/.pybuild/cpython3_*/build/tables/*/*.c
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	cd $(CURDIR)/.pybuild/cpython3_$(shell py3versions -vd)/build && \
	env PYTHONPATH=. \
	python3 -m sphinx -E -T -N -b html $(CURDIR)/doc/source $(CURDIR)/.pybuild/docs/html
	rm -rf $(CURDIR)/.pybuild/docs/html/.doctrees
	find $(CURDIR)/.pybuild/ -d -name __pycache__ -exec rm -rf {} +
endif

override_dh_strip:
	dh_strip -ppython3-tables-lib

override_dh_installchangelogs:
	dh_installchangelogs -k RELEASE_NOTES.rst

override_dh_compress:
	dh_compress -X.txt -X.pdf -X.py -X.h5

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v\.?(\d\S*)\.tar\.gz/PyTables-$1\.tar\.gz/ \
  https://github.com/PyTables/PyTables/tags .*/v\.?(\d\S*)\.tar\.gz

## pytables 3.10.0

=== Makefile ===
--- 
+++ 
@@ -66,7 +66,7 @@
 	$(PYTHON) setup.py build
 
 check: build
-	cd build/lib.* && env PYTHONPATH=. $(PYTHON) -m pytest --doctest-only --pyargs tables -k "not AttributeSet"
+	# cd build/lib.* && env PYTHONPATH=. $(PYTHON) -m pytest --doctest-only --pyargs tables -k "not AttributeSet"
 	cd build/lib.* && env PYTHONPATH=. $(PYTHON) tables/tests/test_all.py
 
 heavycheck: build

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.12
# by the following command:
#
#    pip-compile --generate-hashes requirements.in
#
blosc2==2.7.1 \
    --hash=sha256:06e0933855a6cba347692f08de1aaa51a8858dda67e7c5eaeaab59663b897879 \
    --hash=sha256:150030e81bd5037f802ce7844281a37ff67e0998aa1735c48b02f3c6401bf0a1 \
    --hash=sha256:18770f75174a3aae5712f53e9cb5885b258b730b281cbb3bf1e7a74ea3d94fae \
    --hash=sha256:23763b3602df9b0e63d16d21abadaac426a74370a0a986f08bf5322bcfd207c6 \
    --hash=sha256:2c7dbdd93378d01b048536b2eccbb77eaa73054665bc3a9396e4e391a50c4ad0 \
    --hash=sha256:3412e83e6b2508f3da0b0f3e0bf86bef4dac56f018525d2ab55ca50712a2b91a \
    --hash=sha256:34db4d41543b16e894d507d6c7d10a9a67c9dd420ff40b072f7c39185cbb8fe8 \
    --hash=sha256:3c10a9505c6d2d5e58f03a1139b4a4b234511baa9ebeba17f8f1cc22881ca764 \
    --hash=sha256:51fa45187639cd1f7822355c91f6ceb0fbff6157eb6f9c32462782551fc61283 \
    --hash=sha256:5923a22fb7cfdad571b316930e8812618ba8b2ac1f37ac05edcf3eda71beed9f \
    --hash=sha256:6c1f3e5ed25930596492dddac8022a729d538efb3c1c4e4904a0021288cf4835 \
    --hash=sha256:6c894ef42fabc49c6bd1c41d2e45ac24e911b3b711c1e26f9be93dbcbf5fd4e2 \
    --hash=sha256:7a369a72467b54fb45aa307cf6e3ae84ec0212a9b55cfa5f4d4eb06a06bb1472 \
    --hash=sha256:9b00bcaeaf125491cc6dec5508389f95152de69cc678a63a0310a756511f3d21 \
    --hash=sha256:a1a884f181a2a9612470bcd589794c7adda3eebdaed918e1a8b6e69683524b70 \
    --hash=sha256:ad698c6fca8dee677b7a1881206f7ac43ffd7c458733716a3de1e1f3c6ba1f79 \
    --hash=sha256:bd91a5d9e1d35b47bf5a3b6b440bc120f1fa0af45264c0a6ccca6b1083de43e9 \
    --hash=sha256:bf55816beaf34eaba021904ee7d6c428ca338d0f3ec7a5be04dda552258d0a8b \
    --hash=sha256:c662a3cab4760c194407de1990bd70608af29ee30d6471072463cdc8cc6586c4 \
    --hash=sha256:d5e03ec783841c82ba6704638f5847a80cac8625186932a8f3b47bc5fbda4f7e \
    --hash=sha256:ed15f0eb6a99df425b33be948fb309a97e76bda37eae20022bc9611bce775592 \
    --hash=sha256:f8134aaaf72b670f2ddf258d9b64646c262d6b1b112a530d39f9a5d316f3b306
    # via -r requirements.in
msgpack==1.0.8 \
    --hash=sha256:00e073efcba9ea99db5acef3959efa45b52bc67b61b00823d2a1a6944bf45982 \
    --hash=sha256:0726c282d188e204281ebd8de31724b7d749adebc086873a59efb8cf7ae27df3 \
    --hash=sha256:0ceea77719d45c839fd73abcb190b8390412a890df2f83fb8cf49b2a4b5c2f40 \
    --hash=sha256:114be227f5213ef8b215c22dde19532f5da9652e56e8ce969bf0a26d7c419fee \
    --hash=sha256:13577ec9e247f8741c84d06b9ece5f654920d8365a4b636ce0e44f15e07ec693 \
    --hash=sha256:1876b0b653a808fcd50123b953af170c535027bf1d053b59790eebb0aeb38950 \
    --hash=sha256:1ab0bbcd4d1f7b6991ee7c753655b481c50084294218de69365f8f1970d4c151 \
    --hash=sha256:1cce488457370ffd1f953846f82323cb6b2ad2190987cd4d70b2713e17268d24 \
    --hash=sha256:26ee97a8261e6e35885c2ecd2fd4a6d38252246f94a2aec23665a4e66d066305 \
    --hash=sha256:3528807cbbb7f315bb81959d5961855e7ba52aa60a3097151cb21956fbc7502b \
    --hash=sha256:374a8e88ddab84b9ada695d255679fb99c53513c0a51778796fcf0944d6c789c \
    --hash=sha256:376081f471a2ef24828b83a641a02c575d6103a3ad7fd7dade5486cad10ea659 \
    --hash=sha256:3923a1778f7e5ef31865893fdca12a8d7dc03a44b33e2a5f3295416314c09f5d \
    --hash=sha256:4916727e31c28be8beaf11cf117d6f6f188dcc36daae4e851fee88646f5b6b18 \
    --hash=sha256:493c5c5e44b06d6c9268ce21b302c9ca055c1fd3484c25ba41d34476c76ee746 \
    --hash=sha256:505fe3d03856ac7d215dbe005414bc28505d26f0c128906037e66d98c4e95868 \
    --hash=sha256:5845fdf5e5d5b78a49b826fcdc0eb2e2aa7191980e3d2cfd2a30303a74f212e2 \
    --hash=sha256:5c330eace3dd100bdb54b5653b966de7f51c26ec4a7d4e87132d9b4f738220ba \
    --hash=sha256:5dbf059fb4b7c240c873c1245ee112505be27497e90f7c6591261c7d3c3a8228 \
    --hash=sha256:5e390971d082dba073c05dbd56322427d3280b7cc8b53484c9377adfbae67dc2 \
    --hash=sha256:5fbb160554e319f7b22ecf530a80a3ff496d38e8e07ae763b9e82fadfe96f273 \
    --hash=sha256:64d0fcd436c5683fdd7c907eeae5e2cbb5eb872fafbc03a43609d7941840995c \
    --hash=sha256:69284049d07fce531c17404fcba2bb1df472bc2dcdac642ae71a2d079d950653 \
    --hash=sha256:6a0e76621f6e1f908ae52860bdcb58e1ca85231a9b0545e64509c931dd34275a \
    --hash=sha256:73ee792784d48aa338bba28063e19a27e8d989344f34aad14ea6e1b9bd83f596 \
    --hash=sha256:74398a4cf19de42e1498368c36eed45d9528f5fd0155241e82c4082b7e16cffd \
    --hash=sha256:7938111ed1358f536daf311be244f34df7bf3cdedb3ed883787aca97778b28d8 \
    --hash=sha256:82d92c773fbc6942a7a8b520d22c11cfc8fd83bba86116bfcf962c2f5c2ecdaa \
    --hash=sha256:83b5c044f3eff2a6534768ccfd50425939e7a8b5cf9a7261c385de1e20dcfc85 \
    --hash=sha256:8db8e423192303ed77cff4dce3a4b88dbfaf43979d280181558af5e2c3c71afc \
    --hash=sha256:9517004e21664f2b5a5fd6333b0731b9cf0817403a941b393d89a2f1dc2bd836 \
    --hash=sha256:95c02b0e27e706e48d0e5426d1710ca78e0f0628d6e89d5b5a5b91a5f12274f3 \
    --hash=sha256:99881222f4a8c2f641f25703963a5cefb076adffd959e0558dc9f803a52d6a58 \
    --hash=sha256:9ee32dcb8e531adae1f1ca568822e9b3a738369b3b686d1477cbc643c4a9c128 \
    --hash=sha256:a22e47578b30a3e199ab067a4d43d790249b3c0587d9a771921f86250c8435db \
    --hash=sha256:b5505774ea2a73a86ea176e8a9a4a7c8bf5d521050f0f6f8426afe798689243f \
    --hash=sha256:bd739c9251d01e0279ce729e37b39d49a08c0420d3fee7f2a4968c0576678f77 \
    --hash=sha256:d16a786905034e7e34098634b184a7d81f91d4c3d246edc6bd7aefb2fd8ea6ad \
    --hash=sha256:d3420522057ebab1728b21ad473aa950026d07cb09da41103f8e597dfbfaeb13 \
    --hash=sha256:d56fd9f1f1cdc8227d7b7918f55091349741904d9520c65f0139a9755952c9e8 \
    --hash=sha256:d661dc4785affa9d0edfdd1e59ec056a58b3dbb9f196fa43587f3ddac654ac7b \
    --hash=sha256:dfe1f0f0ed5785c187144c46a292b8c34c1295c01da12e10ccddfc16def4448a \
    --hash=sha256:e1dd7839443592d00e96db831eddb4111a2a81a46b028f0facd60a09ebbdd543 \
    --hash=sha256:e2872993e209f7ed04d963e4b4fbae72d034844ec66bc4ca403329db2074377b \
    --hash=sha256:e2f879ab92ce502a1e65fce390eab619774dda6a6ff719718069ac94084098ce \
    --hash=sha256:e3aa7e51d738e0ec0afbed661261513b38b3014754c9459508399baf14ae0c9d \
    --hash=sha256:e532dbd6ddfe13946de050d7474e3f5fb6ec774fbb1a188aaf469b08cf04189a \
    --hash=sha256:e6b7842518a63a9f17107eb176320960ec095a8ee3b4420b5f688e24bf50c53c \
    --hash=sha256:e75753aeda0ddc4c28dce4c32ba2f6ec30b1b02f6c0b14e547841ba5b24f753f \
    --hash=sha256:eadb9f826c138e6cf3c49d6f8de88225a3c0ab181a9b4ba792e006e5292d150e \
    --hash=sha256:ed59dd52075f8fc91da6053b12e8c89e37aa043f8986efd89e61fae69dc1b011 \
    --hash=sha256:ef254a06bcea461e65ff0373d8a0dd1ed3aa004af48839f002a0c994a6f72d04 \
    --hash=sha256:f3709997b228685fe53e8c433e2df9f0cdb5f4542bd5114ed17ac3c0129b0480 \
    --hash=sha256:f51bab98d52739c50c56658cc303f190785f9a2cd97b823357e7aeae54c8f68a \
    --hash=sha256:f9904e24646570539a8950400602d66d2b2c492b9010ea7e965025cb71d0c86d \
    --hash=sha256:f9af38a89b6a5c04b7d18c492c8ccf2aee7048aff1ce8437c4683bb5a1df893d
    # via blosc2
ndindex==1.8 \
    --hash=sha256:5fc87ebc784605f01dd5367374cb40e8da8f2c30988968990066c5098a7eebe8 \
    --hash=sha256:b5132cd331f3e4106913ed1a974a3e355967a5991543c2f512b40cb8bb9f50b8
    # via blosc2
numexpr==2.10.1 \
    --hash=sha256:00204e5853713b5eba5f3d0bc586a5d8d07f76011b597c8b4087592cc2ec2928 \
    --hash=sha256:22cc65e9121aeb3187a2b50827715b2b087ea70e8ab21416ea52662322087b43 \
    --hash=sha256:300e577b3c006dd7a8270f1bb2e8a00ee15bf235b1650fe2a6febec2954bc2c3 \
    --hash=sha256:368a1972c3186355160f6ee330a7eea146d8443da75a38a30083289ae251ef5a \
    --hash=sha256:37598cca41f8f50dc889b0b72be1616a288758c16ab7d48c9ac8719e1a39d835 \
    --hash=sha256:44f6d12a8c44be90199bbb10d3abf467f88951f48a3d1fbbd3c219d121f39c9d \
    --hash=sha256:45f598182b4f5c153222e47d5163c3bee8d5ebcaee7e56dd2a5898d4d97e4473 \
    --hash=sha256:4f0985bd1c493b23b5aad7d81fa174798f3812efb78d14844194834c9fee38b8 \
    --hash=sha256:552c8d4b2e3b87cdb2abb40a781b9a61a9090a9f66ac7357fc5a0b93aff76be3 \
    --hash=sha256:56648a04679063175681195670ad53e5c8ca19668166ed13875199b5600089c7 \
    --hash=sha256:5a4db4456e0779d5e024220b7b6a7477ac900679bfa74836b06fa526aaed4e3c \
    --hash=sha256:6a50370bea77ba94c3734a44781c716751354c6bfda2d369af3aed3d67d42871 \
    --hash=sha256:78b14c19c403df7498954468385768c86b0d2c52ad03dffb74e45d44ae5a9c77 \
    --hash=sha256:82bf04a1495ac475de4ab49fbe0a3a2710ed3fd1a00bc03847316b5d7602402d \
    --hash=sha256:82fc95c301b15ff4823f98989ee363a2d5555d16a7cfd3710e98ddee726eaaaa \
    --hash=sha256:926dd426c68f1d927412a2ad843831c1eb9a95871e7bb0bd8b20d547c12238d2 \
    --hash=sha256:9bba99d354a65f1a008ab8b87f07d84404c668e66bab624df5b6b5373403cf81 \
    --hash=sha256:a3c0b0bf165b2d886eb981afa4e77873ca076f5d51c491c4d7b8fc10f17c876f \
    --hash=sha256:ac23a72eff10f928f23b147bdeb0f1b774e862abe332fc9bf4837e9f1bc0bbf9 \
    --hash=sha256:b28eaf45f1cc1048aad9e90e3a8ada1aef58c5f8155a85267dc781b37998c046 \
    --hash=sha256:b2efa499f460124538a5b4f1bf2e77b28eb443ee244cc5573ed0f6a069ebc635 \
    --hash=sha256:bbd35f17f6efc00ebd4a480192af1ee30996094a0d5343b131b0e90e61e8b554 \
    --hash=sha256:ca8ae46481d0b0689ca0d00a8670bc464ce375e349599fe674a6d4957e7b7eb6 \
    --hash=sha256:cbf79fef834f88607f977ab9867061dcd9b40ccb08bb28547c6dc6c73e560895 \
    --hash=sha256:ce04ae6efe2a9d0be1a0e114115c3ae70c68b8b8fbc615c5c55c15704b01e6a4 \
    --hash=sha256:fa4009d84a8e6e21790e718a80a22d57fe7f215283576ef2adc4183f7247f3c7 \
    --hash=sha256:fb704620657a1c99d64933e8a982148d8bfb2b738a1943e107a2bfdee887ce56 \
    --hash=sha256:fcbf013bb8494e8ef1d11fa3457827c1571c6a3153982d709e5d17594999d4dd \
    --hash=sha256:fecdf4bf3c1250e56583db0a4a80382a259ba4c2e1efa13e04ed43f0938071f5
    # via
    #   -r requirements.in
    #   blosc2
numpy==2.0.1 \
    --hash=sha256:08458fbf403bff5e2b45f08eda195d4b0c9b35682311da5a5a0a0925b11b9bd8 \
    --hash=sha256:0fbb536eac80e27a2793ffd787895242b7f18ef792563d742c2d673bfcb75134 \
    --hash=sha256:12f5d865d60fb9734e60a60f1d5afa6d962d8d4467c120a1c0cda6eb2964437d \
    --hash=sha256:15eb4eca47d36ec3f78cde0a3a2ee24cf05ca7396ef808dda2c0ddad7c2bde67 \
    --hash=sha256:173a00b9995f73b79eb0191129f2455f1e34c203f559dd118636858cc452a1bf \
    --hash=sha256:1b902ce0e0a5bb7704556a217c4f63a7974f8f43e090aff03fcf262e0b135e02 \
    --hash=sha256:1f682ea61a88479d9498bf2091fdcd722b090724b08b31d63e022adc063bad59 \
    --hash=sha256:1f87fec1f9bc1efd23f4227becff04bd0e979e23ca50cc92ec88b38489db3b55 \
    --hash=sha256:24a0e1befbfa14615b49ba9659d3d8818a0f4d8a1c5822af8696706fbda7310c \
    --hash=sha256:2c3a346ae20cfd80b6cfd3e60dc179963ef2ea58da5ec074fd3d9e7a1e7ba97f \
    --hash=sha256:36d3a9405fd7c511804dc56fc32974fa5533bdeb3cd1604d6b8ff1d292b819c4 \
    --hash=sha256:3fdabe3e2a52bc4eff8dc7a5044342f8bd9f11ef0934fcd3289a788c0eb10018 \
    --hash=sha256:4127d4303b9ac9f94ca0441138acead39928938660ca58329fe156f84b9f3015 \
    --hash=sha256:4658c398d65d1b25e1760de3157011a80375da861709abd7cef3bad65d6543f9 \
    --hash=sha256:485b87235796410c3519a699cfe1faab097e509e90ebb05dcd098db2ae87e7b3 \
    --hash=sha256:529af13c5f4b7a932fb0e1911d3a75da204eff023ee5e0e79c1751564221a5c8 \
    --hash=sha256:5a3d94942c331dd4e0e1147f7a8699a4aa47dffc11bf8a1523c12af8b2e91bbe \
    --hash=sha256:5daab361be6ddeb299a918a7c0864fa8618af66019138263247af405018b04e1 \
    --hash=sha256:61728fba1e464f789b11deb78a57805c70b2ed02343560456190d0501ba37b0f \
    --hash=sha256:6790654cb13eab303d8402354fabd47472b24635700f631f041bd0b65e37298a \
    --hash=sha256:69ff563d43c69b1baba77af455dd0a839df8d25e8590e79c90fcbe1499ebde42 \
    --hash=sha256:6bf4e6f4a2a2e26655717a1983ef6324f2664d7011f6ef7482e8c0b3d51e82ac \
    --hash=sha256:6e4eeb6eb2fced786e32e6d8df9e755ce5be920d17f7ce00bc38fcde8ccdbf9e \
    --hash=sha256:72dc22e9ec8f6eaa206deb1b1355eb2e253899d7347f5e2fae5f0af613741d06 \
    --hash=sha256:75b4e316c5902d8163ef9d423b1c3f2f6252226d1aa5cd8a0a03a7d01ffc6268 \
    --hash=sha256:7b9853803278db3bdcc6cd5beca37815b133e9e77ff3d4733c247414e78eb8d1 \
    --hash=sha256:7d6fddc5fe258d3328cd8e3d7d3e02234c5d70e01ebe377a6ab92adb14039cb4 \
    --hash=sha256:81b0893a39bc5b865b8bf89e9ad7807e16717f19868e9d234bdaf9b1f1393868 \

=== debian/changelog ===
pytables (3.10.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Refresh all patches.
  * Standards version bumped to 4.7.0, no changes.
  * debian/control:
    - Add dependency on python3-typing-extension.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 14 Aug 2024 13:54:14 +0000

pytables (3.9.2-2) unstable; urgency=medium

  * debian/patches:
    - New 0005-No-python-blosc2.patch (Closes: #1065120).
  * Update dates in d/copyright.
  * Set upstream metadata fields: Security-Contact.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 07 Apr 2024 06:58:48 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: pytables
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>,
            Yaroslav Halchenko <debian@onerussian.com>
 Section: python
@@ -33,8 +32,9 @@
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
                python3-setuptools,
+	       python3-typing-extensions,
                zlib1g-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/science-team/pytables
 Vcs-Git: https://salsa.debian.org/science-team/pytables.git
 Homepage: https://www.pytables.org

## pytables 3.10.1

=== debian/changelog ===
pytables (3.10.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - Refresh all patches.
    - New 0006-Build-with-numpy-1.x.patch.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 18 Aug 2024 10:04:32 +0000
